petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceSimpleSetDimension

Set the number of functionals in the dual space basis

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSimpleSetDimension(PetscDualSpace sp, PetscInt dim)

Logically Collective on sp

### Input Parameters

| sp | - the PetscDualSpace
| dim | - the basis dimension

### See Also

PetscDualSpaceSimpleSetFunctional()

### Level

intermediate

### Location

src/dm/dt/dualspace/impls/simple/dspacesimple.c

### Implementations

PetscDualSpaceSimpleSetDimension_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages